using Domain;
using Domain.Input;
using Presenter;
using TMPro;
using UnityEngine;

namespace View {
	public class CTrencadaInput : MonoBehaviour, ICTrencadaInput {
		[SerializeField] private TMP_Text text;
		private CTrencadaClick _click;
		private CustomInput _customInput;

		private void Start() {
			_click = FindObjectOfType<Dependencies>().CTrencadaClick;
			_customInput = FindObjectOfType<Dependencies>().CustomInput;
		}

		private void Update() {
			CheckInput();
		}

		private void CheckInput() {
			_customInput.UpdateInput();
			if (_customInput.KeyDown(typeof(CedillaReader)))
				_click.Execute();
		}

		public void UpdateView(int score) {
			text.text = score.ToString();
		}
	}
}